import 'package:flutter/material.dart';

import 'database.dart';
import 'drawer.dart';

class Top extends StatelessWidget {
  // The indexes of each array match the assigned recipe.
  // DO NOT loop through each of these individually
  // to generate the recipes.

  @override
  Widget build(BuildContext context) {
    var text_style = new TextStyle(
      fontWeight: FontWeight.bold,
      fontSize: 20,
    );
    movieData.sort((a, b) => a['ratings'].compareTo(b['ratings']));

    return Scaffold(
      appBar: AppBar(
        // The title text which will be shown on the action bar
        title: Center(child: Text("Top Rated")),
      ),
      drawer: Container(
        color: Colors.grey,
        child: AppDrawer(),
      ), //Appbar
      body: ListView(children: [
        for (var point = 0; point < movieData.length; point++)
          new Container(
              child: new Flex(
                direction: Axis.horizontal,
                textDirection: TextDirection.ltr,
                children: [
                  new Expanded(
                      flex: 1,
                      child: new Container(
                          child: Image.asset('assets/poster/' +
                              movieData[point]["postimages"]),
                          margin: EdgeInsets.fromLTRB(0, 0, 10, 0))),
                  new Expanded(
                      flex: 1,
                      child: new Column(
                          crossAxisAlignment: CrossAxisAlignment.start,
                          children: [
                            new Container(
                                child: Text(
                                    movieData[point]["ratings"].toString() +"%:"+
                                        movieData[point]["movietitle"],
                                    style: text_style),
                                margin: EdgeInsets.fromLTRB(0, 0, 2, 2)),
                            new Container(
                              child: Row(
                                children: [
                                  Text(
                                    "Release Date",
                                    style: TextStyle(
                                      fontSize: 18,
                                    ),
                                  ),
                                  Text(movieData[point]["releasedate"],
                                      style: TextStyle(
                                          fontSize: 18,
                                          fontStyle: FontStyle.italic)),
                                ],
                              ),
                            ),
                          ]))
                ],
              ),
              margin: EdgeInsets.fromLTRB(0, 0, 0, 10))
      ]),
    ); //Scaffold
  } //build
}
